Bug 716209 - FTBFS qt-gstreamer-0.10.1-1.fc16
FTBFS qt-gstreamer-0.10.1-1.fc16
Product: Fedora
Classification: Fedora
Component: qt-gstreamer (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F16FTBFS
  Show dependency treegraph
Reported: 2011-06-23 12:36 EDT by FTBFS
Modified: 2011-09-09 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: qt-gstreamer-0.10.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-09-09 12:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
root.log (458.99 KB, text/plain)
2011-06-23 12:36 EDT, FTBFS
no flags Details
build.log (53.83 KB, text/plain)
2011-06-23 12:36 EDT, FTBFS
no flags Details
mock.log (1.30 KB, text/plain)
2011-06-23 12:36 EDT, FTBFS
no flags Details
root.log (784.50 KB, text/plain)
2011-06-23 12:36 EDT, FTBFS
no flags Details
build.log (55.10 KB, text/plain)
2011-06-23 12:36 EDT, FTBFS
no flags Details
mock.log (1.31 KB, text/plain)
2011-06-23 12:36 EDT, FTBFS
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 653266 None None None Never

  None (edit)
Description FTBFS 2011-06-23 12:36:21 EDT
qt-gstreamer-0.10.1-1.fc16.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 12:36:24 EDT
Created attachment 509508 [details]

root.log for i386
Comment 2 FTBFS 2011-06-23 12:36:25 EDT
Created attachment 509509 [details]

build.log for i386
Comment 3 FTBFS 2011-06-23 12:36:26 EDT
Created attachment 509510 [details]

mock.log for i386
Comment 4 FTBFS 2011-06-23 12:36:28 EDT
Created attachment 509511 [details]

root.log for x86_64
Comment 5 FTBFS 2011-06-23 12:36:30 EDT
Created attachment 509512 [details]

build.log for x86_64
Comment 6 FTBFS 2011-06-23 12:36:31 EDT
Created attachment 509513 [details]

mock.log for x86_64
Comment 7 nucleo 2011-06-23 18:40:29 EDT
I am not sure but maybe this bug needs compiler to be fixed.

See comment in upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=653266#c1
Comment 8 Jakub Jelinek 2011-06-24 11:51:01 EDT
If you think this is a compiler bug, you'd need to provide self-contained (preferrably small, see http://gcc.gnu.org/bugs/ for details how to submit proper bugreports) testcase, the comment in gnome bugzilla has nothing like that.
And the claim that this-> should never be needed in C++ in the context of a member function is obviously false, e.g. in templates with dependent bases added this-> makes names dependent where they were previously non-dependent and so is needed in order to access members of the dependent bases.
Comment 9 Fedora Update System 2011-08-30 18:21:10 EDT
qt-gstreamer-0.10.1-2.fc16 has been submitted as an update for Fedora 16.
Comment 10 Fedora Update System 2011-08-31 17:44:45 EDT
Package qt-gstreamer-0.10.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-gstreamer-0.10.1-2.fc16'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-09-09 12:58:52 EDT
qt-gstreamer-0.10.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.